/*
 * chmod.c
 */


#include<unistd.h>
#include<sys/types.h>
#include<callgate.h>

#include<errno.h>
#include<fcntl.h>
#include<sys/stat.h>


extern int chattr(const char*,int,int);


int chmod(const char *path, mode_t mode)
{
	return chattr(path,CHATTR_MODE,(int)mode);
}
